
QGIS Application - Bug report #17510

qgis crashed on closing 

2017-11-21 05:34 PM - robert kalasek

Status: Closed

Priority: High

Assignee:

Category: Unknown

Affected QGIS version:master Regression?: No

Operating System: win 10 Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:Yes Copied to github as #: 25407

Description

... without any troubles before. just crashed when 

the Oh Uh! -interface asked me to send a report ... so, here it is:

-----------------------------

h2. User Feedback

Report Details

Crash ID: bb9dfbef9f9ab7704d7ffdf1e20645b812257a51

Stack Trace

GDALGetDatasetDriver :

OGRCoordinateTransformation::~OGRCoordinateTransformation :

QgsComposerModel::data :

QgsComposerModel::data :

QgsComposerModel::data :

QgsComposerModel::data :

QgsComposerModel::data :

QgsComposerModel::data :

QgsComposerModel::data :

QgsComposerModel::data :

QgsComposerModel::data :

QThreadPoolPrivate::reset :

QThread::start :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 2.99.0-Master

QGIS code revision: commit:95cf299099

Compiled against Qt: 5.9.2

Running against Qt: 5.9.2

Compiled against GDAL: 2.2.2

Running against GDAL: 2.2.2

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.15063

Associated revisions

Revision b2c396fd - 2017-11-27 05:00 AM - Nathan Woodrow 
Fix #17510 - Better scoping of QgsProjectionSelectionDialog inside QgsProjectionSelectionWidget

History

#1 - 2017-11-21 06:08 PM - Giovanni Manghi

- Category changed from Actions to Unknown

- Status changed from Open to Feedback

- Priority changed from Normal to High

Is the crash replicable or is was random event? have you tried on a clean install (i.e. removing the .qgis2 folder)?

#2 - 2017-11-22 07:24 AM - Nathan Woodrow

qgis2 folder isn't used anymore remember. It's in the profiles folder now.  Make a new profile and see if you get the crash there.  Settings -> User Profile ->

New

Can you also install the qgis-dev-pdb symbols when running osgeo4w that will give you a better stack trace.

#3 - 2017-11-22 07:32 AM - Nathan Woodrow

This sounds like a plugin issue I found the other day.  Do you happen to have LatLongTools installed?

#4 - 2017-11-23 06:17 PM - Giovanni Manghi

Nathan Woodrow wrote:

qgis2 folder isn't used anymore remember. It's in the profiles folder now.

sorry, habits are hard to change!

#5 - 2017-11-27 05:52 AM - Anonymous

- Status changed from Feedback to Closed

- % Done changed from 0 to 100

Applied in changeset commit:qgis|b2c396fdfdfd52bb119e049d327d3b165d1e3d2c.

#6 - 2017-11-27 08:49 AM - Giovanni Manghi

- Resolution set to fixed/implemented
